Page 33 of 38

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 05, 2019 8:01 pm
by Marrub
Alexagon wrote:1. How do I get the armor interface? I've seen some gameplay videos and they start the game with it already visible.

You'll get it upon defeating a phantom.

Alexagon wrote:2. Is there a max ammo capacity for only certain weapons?

Some of the weapons have infinite ammo.

Alexagon wrote:3. Is it impossible to run without the movement augment activated? It makes my movements feel too jerky and unnatural and I'd rather disable it but without I move too slowly.

Walking is disabled with it on to make room for dodging. There are a few reasons for this:
  • Not adding new keys is a priority.
  • Most doom maps are big enough to allow always running. I don't like making decisions for the player, but because of the first reason, I had to in this case.
  • Most projectiles in Lithium are faster, so moving faster is almost necessary.
I could add an option to disable dodging if you want.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 12, 2019 2:43 am
by dawnbreez
Downloaded latest master, and ran with GZDoom 4.0. I keep getting "ACS call to unknown class in script function" errors, seemingly with a different class each time (sometimes it's "Confont.Confont", in the titlemap it's "Lith_TitleCyberdemon.Lith_TitleCyberdemon", one time it was just a ".").

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 12, 2019 8:34 am
by Marrub
dawnbreez wrote:Downloaded latest master, and ran with GZDoom 4.0. I keep getting "ACS call to unknown class in script function" errors, seemingly with a different class each time (sometimes it's "Confont.Confont", in the titlemap it's "Lith_TitleCyberdemon.Lith_TitleCyberdemon", one time it was just a ".").

The current version is broken. I did some refactoring that should have changed nothing at all and somehow it broke completely. Try this.

EDIT: Reset the master branch, the broken commits are now in a separate branch.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 17, 2019 5:48 pm
by SMG54321
Hey I've been getting a error while parsing DECORATE scrips and won't let me play. It's just this mod too. can you look into it?

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 17, 2019 8:01 pm
by wildweasel
SMG54321 wrote:Hey I've been getting a error while parsing DECORATE scrips and won't let me play. It's just this mod too. can you look into it?

Would need more info - what's the error message, and what version of GZDoom?

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 17, 2019 8:02 pm
by Marrub
SMG54321 wrote:Hey I've been getting a error while parsing DECORATE scrips and won't let me play. It's just this mod too. can you look into it?

Use the Git version of Lithium or downgrade GZDoom to 3.7.2.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 31, 2019 8:25 pm
by InfiniteRedPill
Hello, I have a question. I have tried both the 4.0 and 3.7.2 versions of GZDoom, and both the normal and Git versions of Lithium. When I try to use Lithium with a map pack like Valiant-Vaccinated, or any other map pack, there is an issue with the weapon sprites. Most of the weapon sprites (like the pistol for example) look like the generic Doom 2 sprites, but change into the Lithium weapon sprites only during the firing animation. I'm sorry if this is not enough information, I can provide more. Thank you.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Jun 01, 2019 2:34 am
by Marrub
InfiniteRedPill wrote:Hello, I have a question. I have tried both the 4.0 and 3.7.2 versions of GZDoom, and both the normal and Git versions of Lithium. When I try to use Lithium with a map pack like Valiant-Vaccinated, or any other map pack, there is an issue with the weapon sprites. Most of the weapon sprites (like the pistol for example) look like the generic Doom 2 sprites, but change into the Lithium weapon sprites only during the firing animation. I'm sorry if this is not enough information, I can provide more. Thank you.

Load Lithium after the map pack. If you're loading it via a frontend, it should be at the bottom. If you're loading it by dragging it onto the executable, click it last when selecting the wads to use.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Jun 01, 2019 12:21 pm
by InfiniteRedPill
Marrub wrote:
InfiniteRedPill wrote:Hello, I have a question. I have tried both the 4.0 and 3.7.2 versions of GZDoom, and both the normal and Git versions of Lithium. When I try to use Lithium with a map pack like Valiant-Vaccinated, or any other map pack, there is an issue with the weapon sprites. Most of the weapon sprites (like the pistol for example) look like the generic Doom 2 sprites, but change into the Lithium weapon sprites only during the firing animation. I'm sorry if this is not enough information, I can provide more. Thank you.

Load Lithium after the map pack. If you're loading it via a frontend, it should be at the bottom. If you're loading it by dragging it onto the executable, click it last when selecting the wads to use.


Wow thank you so much.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Jun 08, 2019 3:35 pm
by sirleviatan
GZDoom g4.1.2
Script error, "Lithium_1_6_1.pk3:lzscript/utilities.zsc" line 60:
Can't call play function ExecuteSpecial from data context

please fix it, thank you.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Jun 08, 2019 3:40 pm
by Marrub
sirleviatan wrote:GZDoom g4.1.2
Script error, "Lithium_1_6_1.pk3:lzscript/utilities.zsc" line 60:
Can't call play function ExecuteSpecial from data context

please fix it, thank you.


Marrub wrote:Use the Git version of Lithium or downgrade GZDoom to 3.7.2.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Jun 08, 2019 4:39 pm
by InfiniteRedPill
All you mod creators, including you Marrub, must have infinite patience when it comes to answers these questions. I love you all.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun Jun 09, 2019 2:24 pm
by crossvisionmedia
Is there any chance this can be used with Brutality or other mods and existing Huds and such?

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun Jun 09, 2019 3:58 pm
by Marrub
crossvisionmedia wrote:Is there any chance this can be used with Brutality or other mods and existing Huds and such?

No, the systems in place are too complex to work with other mods.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun Jun 09, 2019 5:03 pm
by crossvisionmedia
Ahh kinda figured. Worth a shot though!